<?PHP
/************************************************************************/
/* DUNE by NPDS                                                         */
/* ===========================                                          */
/*                                                                      */
/* Based on PhpNuke 4.x source code                                     */
/*                                                                      */
/* NPDS Copyright (c) 2002-2007 by Philippe Brunier                     */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

function pp_translate($phrase) {
   $tmp=pp_translate_pass1($phrase);
   if (cur_charset=="utf-8") {
      return utf8_encode($tmp);
   } else {
      return ($tmp);
   }
}

function pp_translate_pass1($phrase) {
 switch($phrase) {
    case "Message to Member": $tmp = "Mensaje a un miembro"; break;
    case "Welcome to the Chat Box": $tmp = "Bienvenidos al chat"; break;
    case "There is": $tmp = "Hay"; break;
    case "There are": $tmp = "Hay"; break;
    case "person chatting right now.": $tmp = "persona conectada."; break;
    case "people chatting right now.": $tmp = "personas conectadas."; break;
    case "You are logged in as": $tmp = "Usted est&aacute; conectado como :"; break;
    case "Text:": $tmp = "Texte :"; break;
    case "Submit": $tmp = "Envoyer"; break;
    case "click here to open the chat window...": $tmp = "Haga clic aqu&iacute; para entrar"; break;
    case "Clear Chat DB": $tmp = "Vaciar la tabla del chat"; break;
    case "Name:": $tmp = "Apodo :"; break;

   // NPDS 5.0 P2
    case "Chat box": $tmp = "Chat bloc"; break;
    case "M2M box": $tmp = "M2M bloc"; break;
    case "Forums infos": $tmp = "Foros infos"; break;
   // NPDS 5.0 P2

   // NPDS Sable
   case "Chatdate": $tmp = "G:i d-m"; break;
   // NPDS Sable

    default: $tmp = "Necesita una traducci&oacute;n <b>[** $phrase **]</b>"; break;
 }
 return $tmp;
}
?>